Subject: Re: [PATCH] cherry-pick/revert: transparently refresh index

From: Pete Wyckoff <[email-masked]>
Date: Sun, 31 Oct 2010 18:26:44 -0400

[email-masked] wrote on Sun, 31 Oct 2010 14:59 -0500:
> A stat-dirty index is not a detail that ought to concern the operator
> of porcelain such as "git cherry-pick".
> 
> Without this change, a cherry-pick after copying a worktree with rsync
> errors out with a misleading message.
> 
> 	$ git cherry-pick build/top
> 	error: Your local changes to 'file.h' would be overwritten by merge.  Aborting.
> 	Please, commit your changes or stash them before you can merge.
> 
> Noticed-by: Pete Wyckoff <[email-masked]>
> Signed-off-by: Jonathan Nieder <[email-masked]>

Thanks, this works well.  I tested it and am happy with the
change.  It is needed for correctness.

Since I know that I just copied the repo, I'd prefer not to
make people wait to refresh the index.  A new flag to
update-index improves performance by avoiding the initial
re-read of all files in the repository.  Patch follows in
next mail.

		-- Pete